org.bouncycastle.crypto.tls

## Class TlsNullCipherSuite

- java.lang.Object
- - org.bouncycastle.crypto.tls.TlsCipherSuite
  - - org.bouncycastle.crypto.tls.TlsNullCipherSuite

    public class TlsNullCipherSuite
    extends TlsCipherSuite

A NULL CipherSuite in java, this should only be used during handshake.

### Field Summary

### Fields inherited from class org.bouncycastle.crypto.tls.TlsCipherSuite

`KE_DH_anon, KE_DH_DSS, KE_DH_RSA, KE_DHE_DSS, KE_DHE_DSS_EXPORT, KE_DHE_RSA, KE_DHE_RSA_EXPORT, KE_RSA, KE_RSA_EXPORT, KE_SRP, KE_SRP_DSS, KE_SRP_RSA`

### Constructor Summary

Constructors
Constructor and Description
`TlsNullCipherSuite()`

### Method Summary

Methods
`protected byte[]` `decodeCiphertext(short type, byte[] plaintext, int offset, int len, TlsProtocolHandler handler)`
`protected byte[]` `encodePlaintext(short type, byte[] plaintext, int offset, int len)`
`protected short` `getKeyExchangeAlgorithm()`
`protected void` `init(byte[] ms, byte[] cr, byte[] sr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TlsNullCipherSuite

    public TlsNullCipherSuite()

### Method Detail

#### init

    protected void init(byte[] ms,
            byte[] cr,
            byte[] sr)

Specified by:
  `init` in class `TlsCipherSuite`

#### encodePlaintext

    protected byte[] encodePlaintext(short type,
                         byte[] plaintext,
                         int offset,
                         int len)

Specified by:
  `encodePlaintext` in class `TlsCipherSuite`

#### decodeCiphertext

    protected byte[] decodeCiphertext(short type,
                          byte[] plaintext,
                          int offset,
                          int len,
                          TlsProtocolHandler handler)

Specified by:
  `decodeCiphertext` in class `TlsCipherSuite`

#### getKeyExchangeAlgorithm

    protected short getKeyExchangeAlgorithm()

Specified by:
  `getKeyExchangeAlgorithm` in class `TlsCipherSuite`